## sp-memusage 1.0.10

=== Makefile ===

BINS = bin/mem-monitor
LIBS = lib/mallinfo.so

all: $(BINS) $(LIBS)

clean:
	$(RM) src/*.o *~ */*~

distclean: clean
	$(RM) $(BINS) $(LIBS)

tags:
	ctags *.c *.h

lib/mallinfo.so: src/mallinfo.c
	gcc -g -W -Wall -shared -O2 -fPIC  -Wl,-soname,mallinfo.so.0 -o $@ $^

bin/mem-monitor: src/mem-monitor.c
	gcc -g -DTESTING -W -Wall -O2 -o $@ $^

install:
	install -d  $(DESTDIR)/usr/bin
	cp -a bin/* $(DESTDIR)/usr/bin
	install -d  $(DESTDIR)/usr/lib
	cp -a lib/*.so  $(DESTDIR)/usr/lib
	cp -a scripts/* $(DESTDIR)/usr/bin
	install -d      $(DESTDIR)/usr/share/man/man1
	cp -a man/*.1   $(DESTDIR)/usr/share/man/man1

# other docs are installed by the Debian packaging

=== debian/changelog ===
sp-memusage (1.0.10) unstable; urgency=low

  * Mem-monitor-smaps now uses the latest pid returned when there are
    multiple matches. Fixes: NB#88304
  * As 'available' is more approriate than 'free' in the context of
    generated reports, use that instead.
  * New option (-c) has been added to mem-monitor-smaps. Manual page has
    been updated to include these changes.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 11 Sep 2008 14:52:29 +0300

sp-memusage (1.0.9) unstable; urgency=low

  * mem-monitor-smaps: Private clean information has been added. 
    Fixes: NB#84445

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 17 Apr 2008 16:46:46 +0300

sp-memusage (1.0.8) unstable; urgency=low

  * Mem-monitor-smaps shows now memory usage changes in addition to
    totals.
  * Argument checking improvements in mem-monitor-smaps
  * Fixes: NB#84258

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 15 Apr 2008 16:59:08 +0300

sp-memusage (1.0.7) unstable; urgency=low

  * New helper script (run-with-memusage) has been added.
  * Made naming of existing helper scripts more consistent:
    memusage -> mem- monitor,
    proc-memusage -> mem-monitor-proc,
    sum-smaps-private -> mem-smaps-private,
    sum-dirty-code-pages -> mem-dirty-code-pages
  * Fixes: NB#82164

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 20 Mar 2008 12:45:22 +0200

sp-memusage (1.0.6) unstable; urgency=low

  * New tool (proc-memusage) and correspoding documentation have been
    added. Fixes: NB#81255

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon,  3 Mar 2008 16:24:50 +0200

sp-memusage (1.0.5) unstable; urgency=low

  * Fixed SONAME missing from libmalloc to satisfy Lintian.
  * Fixes: NB#79547

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  6 Feb 2008 15:43:48 +0200

sp-memusage (1.0.4) unstable; urgency=low

  * Include run-with-mallinfo convenience script for using mallinfo in
    Scratchbox. Fixes: NB#73300

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  6 Nov 2007 16:42:11 +0200

sp-memusage (1.0.3) unstable; urgency=low

  * Separated sp-memusage completely from sp-libleaks source package
  * Fixes: NB#69043

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  4 Oct 2007 10:15:21 +0300

=== debian/control ===
Source: sp-memusage
Section: misc
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: sp-memusage
Architecture: any
Depends: ${shlibs:Depends}
Description: memory usage reporting tool
 This provides a collection of memory usage monitoring tools and scripts.
 - Mallinfo library outputs values from the Glibc mallinfo() function,
   either with SIGUSR1 like libleaks, or at given intervals. I.e. it tells
   how much allocated and freed (but not returned to system) memory is
   in the C-library memory pool for the process.  You can use this to
   detect memory fragmentation.
 - Memusage just outputs system memory usage information from
   /proc/meminfo at given intervals.
 Manual pages tell more about the scripts.

Package: sp-memusage-dbg
Architecture: any
Depends: sp-memusage (=${Source-Version})
Description: Debug symbols for memusage
 Debug symbols for memusage tools and mallinfo library to use with
 tools such as GDB.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(DESTDIR)

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=sp-memusage
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep 

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-arch configure

## sp-memusage 1.1.3+0m5

=== debian/changelog ===
sp-memusage (1.1.3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Mon, 20 Jul 2009 10:16:19 +0300

sp-memusage (1.1.3) unstable; urgency=low

  * Add a manual page for mem-cpu-monitor. (Fixes: NB#120058)

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 14 Jul 2009 13:10:40 +0200

sp-memusage (1.1.2) unstable; urgency=low

  * Always have something in BL column, if it's shown. Fixes(NB#116477)

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 15 Jun 2009 17:18:40 +0200

sp-memusage (1.1.1) unstable; urgency=low

  * Tommi's rewrite of mem-cpu-monitor.  Supports giving multiple pids,
    has colors when running on tty, flushes output when redirected to
    file, /proc reading refactored to common file shared with
    mem-monitor. Fixes: NB#116477

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Thu, 29 May 2009  19:10:10 +0200

sp-memusage (1.1.0) unstable; urgency=low

  * mem-cpu-monitor added. Fixes(NB#108493)

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Thu, 28 Apr 2009 15:18:40 +0200

sp-memusage (1.0.13) unstable; urgency=low

  * Fixed a small issue with the changelog.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 13 Nov 2008 15:47:07 +0200

sp-memusage (1.0.12) unstable; urgency=low

  * SwapCached is now also taken in account while calculating memory
    statistics. Fixes: NB#92513

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 13 Nov 2008 15:30:23 +0200

sp-memusage (1.0.11) unstable; urgency=low

  * Some minor packaging issues reported by Lintian have been fixed.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 17 Sep 2008 17:18:05 +0300

=== debian/control ===
Source: sp-memusage
Section: misc
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: sp-memusage
Architecture: any
Depends: ${shlibs:Depends}
Description: memory usage reporting tool
 This provides a collection of memory usage monitoring tools and scripts.
  - Mallinfo library outputs values from the Glibc mallinfo() function,
    either with SIGUSR1 like libleaks, or at given intervals. I.e. it tells
    how much allocated and freed (but not returned to system) memory is
    in the C-library memory pool for the process.  You can use this to
    detect memory fragmentation.
  - mem-*monitor* tools output system and process memory (and CPU) usage
    overviews at specified intervals.
  - There are also some extra scripts to get memory usage details from
    processes.
  Manual pages tell more about the tools and scripts.

Package: sp-memusage-dbg
Priority: extra
Architecture: any
Depends: sp-memusage (= ${Source-Version})
Description: Debug symbols for memusage
 Debug symbols for memusage tools and mallinfo library to use with
 tools such as GDB.

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean

## sp-memusage 1.1.5%2b0m5

=== debian/changelog ===
sp-memusage (1.1.5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 09 Nov 2009 10:01:27 +0200

sp-memusage (1.1.5) unstable; urgency=low

  * Support swap in mem-smaps-private and mem-dirty-code-pages scripts.
    Fixes: NB#144137

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  3 Nov 2009 13:36:40 +0200

sp-memusage (1.1.4) unstable; urgency=low

  * mem-cpu-monitor:
   + mem-cpu-monitor: report CPU speed. Fixes: NB#139669
   + mem-cpu-monitor: implementation of options that make it output info only
     when something changes. Fixes: NB#122024

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 26 Oct 2009 10:39:35 +0200

## sp-memusage 1.1.6+0m5

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 
-BINS = bin/mem-monitor
+BINS = bin/mem-monitor bin/mem-cpu-monitor
 LIBS = lib/mallinfo.so
 
 all: $(BINS) $(LIBS)
 
 clean:
-	$(RM) src/*.o *~ */*~
+	$(RM) src/*.o *~ */*~ $(BINS)
 
 distclean: clean
 	$(RM) $(BINS) $(LIBS)
@@ -16,8 +16,11 @@
 lib/mallinfo.so: src/mallinfo.c
 	gcc -g -W -Wall -shared -O2 -fPIC  -Wl,-soname,mallinfo.so.0 -o $@ $^
 
-bin/mem-monitor: src/mem-monitor.c
-	gcc -g -DTESTING -W -Wall -O2 -o $@ $^
+bin/mem-monitor: src/mem-monitor.c src/mem-monitor-util.c
+	gcc -g -W -Wall -O2 -o $@ $+
+
+bin/mem-cpu-monitor: src/mem-cpu-monitor.c src/mem-monitor-util.c
+	gcc -std=c99 -g -W -Wall -O2 -o $@ $+
 
 install:
 	install -d  $(DESTDIR)/usr/bin

=== debian/changelog ===
sp-memusage (1.1.6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 18 Jan 2010 11:14:30 +0200

sp-memusage (1.1.6) unstable; urgency=low

  * Do not shows private clean data changes in the "changes" column.
    Fixes: NB#151783

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 18 Jan 2010 11:11:40 +0200

=== debian/control ===
Source: sp-memusage
Section: misc
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: sp-memusage
Architecture: any
Depends: ${shlibs:Depends}
Description: memory usage reporting tool
 This provides a collection of memory usage monitoring tools and scripts.
 - Mallinfo library outputs values from the Glibc mallinfo() function,
   either with SIGUSR1 like libleaks, or at given intervals. I.e. it tells
   how much allocated and freed (but not returned to system) memory is
   in the C-library memory pool for the process.  You can use this to
   detect memory fragmentation.
 - mem-*monitor* tools output system and process memory (and CPU) usage
   overviews at specified intervals.
 - There are also some extra scripts to get memory usage details from
   processes.
 Manual pages tell more about the tools and scripts.

Package: sp-memusage-dbg
Priority: extra
Architecture: any
Depends: sp-memusage (=${binary:Version})
Description: Debug symbols for memusage
 Debug symbols for memusage tools and mallinfo library to use with
 tools such as GDB.
